Bug 594652 - Repository metadata files should be served via CDN
Repository metadata files should be served via CDN
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
rhn522
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sebastian Skracic
Red Hat Network Quality Assurance
US3026
:
Depends On:
Blocks: rhn-sprint46
  Show dependency treegraph
 
Reported: 2010-05-21 05:12 EDT by Sebastian Skracic
Modified: 2010-08-02 16:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-02 16:52:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sebastian Skracic 2010-05-21 05:12:37 EDT
Currently, we serve directly all repository metadata:

- repomd.xml
- primary.xml.gz
- other.xml.gz
- filelists.xml.gz
- updateinfo.xml.gz
- comps.xml

  Similar to already existing facilities for CDN-aware content download (either through rhn.redhat.com Web UI or via RHN client tools), those repodata files should be served by CDN as well (except for repomd.xml).

  The 'Location Aware Updates' switch should control this process as well.
Comment 1 Sebastian Skracic 2010-06-03 04:56:46 EDT
The code is ready and operational in webdev.

Note You need to log in before you can comment on or make changes to this bug.